flow123d_version: 3.1.0
common_config:
  proc: [1, 2]
  memory_limit: 1300
  check_rules:
    - vtkdiff:
        files: ["*.vtu"]
    - ndiff:
        files: ["*.pvd", "*.txt", "*.yaml", "*.msh"]

test_cases:
  - files:
      - 01_column.yaml
      - 02_column_transport.yaml
      - 03_tunnel.yaml
      - 04_frac_diffusion.yaml
      - 06_frac_dualpor.yaml
  - files: 05_frac_sorption.yaml
    time_limit: 65

  - files: 07_heat.yaml
    proc: [1]
    time_limit: 60
    check_rules:
      - ndiff:
          files: [energy_balance.txt]
          r_tol: 1e-3
          a_tol: 1e12
      - ndiff:
        # default tolerance for all except energy, usage of wild chars 
        # files: ["(?!^energy_balance.txt$)*"] 
          files: [heat.msh]
          r_tol: 1e-3
          a_tol: 1
      - ndiff:
          files: [flow.msh]
          r_tol: 1e-3
          a_tol: 1e-1
      - ndiff:
          files: [water_balance.txt]
          r_tol: 1e-3
          a_tol: 1e-4
         # heat.msh a_tol : 1
         # flow.msh a_tol : 0.1
         # water_balance.txt : 1e-4
